Skip to main content
GET
/
assets
/
location-and-speed
/
stream
List asset location and speed data in an organization.
curl --request GET \
  --url https://api.samsara.com/assets/location-and-speed/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "12345",
        "externalIds": {}
      },
      "happenedAtTime": "2020-01-27T07:06:25Z",
      "location": {
        "headingDegrees": 120,
        "latitude": 37.7749,
        "longitude": 137.2719,
        "accuracyMeters": 5.801,
        "address": {
          "city": "New York",
          "country": "USA",
          "neighborhood": "Mission District",
          "pointOfInterest": "The Eiffel Tower",
          "postalCode": "10010",
          "state": "New York",
          "street": "Main Street",
          "streetNumber": "16"
        },
        "geofence": {
          "externalIds": {},
          "id": "12345"
        }
      },
      "speed": {
        "ecuSpeedMetersPerSecond": 30.2,
        "gpsSpeedMetersPerSecond": 30.2
      }
    }
  ],
  "pagination": {
    "hasNextPage": true,
    "endCursor": "MjkY"
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:512

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
startTime
string

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to never if not provided; if not provided then pagination will not cease, and a valid pagination cursor will always be returned. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

ids
string[]

Comma-separated list of asset IDs.

includeSpeed
boolean

Optional boolean indicating whether or not to return the 'speed' object

includeReverseGeo
boolean

Optional boolean indicating whether or not to return the 'address' object. Address information won't be returned for high-frequency locations.

includeGeofenceLookup
boolean

Optional boolean indicating whether or not to return the 'geofence' object

includeHighFrequencyLocations
boolean

Optional boolean indicating whether or not to return high-frequency location data (up to 1Hz). Cannot be used with includeGeofenceLookup.

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

data
object[]
required

List of location and speed objects.

pagination
object
required

Pagination parameters.